Subject: [PATCH v3 12/62] ACPICA: ACPI 6.0: Add changes for FADT table

From: [email-masked] (Shannon Zhao)
Date: Wed, 25 Nov 2015 09:45:17 +0800

On 2015/11/24 19:29, Jan Beulich wrote:
>>>> On 17.11.15 at 10:40, <[email-masked]> wrote:
>> From: Bob Moore <[email-masked]>
>>
>> ACPICA commit 72b0b6741990f619f6aaa915302836b7cbb41ac4
>>
>> One new 64-bit field at the end of the table.
>> FADT version is now 6.
>>
>> Link: https://github.com/acpica/acpica/commit/72b0b674 
>> Signed-off-by: Bob Moore <[email-masked]>
>> Signed-off-by: Lv Zheng <[email-masked]>
>> Signed-off-by: Rafael J. Wysocki <[email-masked]>
>> [Linux commit aeb823bbacc2a3aaee29eda5875b58a049fa1f78]
>> Signed-off-by: Shannon Zhao <[email-masked]>
>> ---
>>  xen/include/acpi/actbl.h | 17 ++++++++++-------
>>  1 file changed, 10 insertions(+), 7 deletions(-)
> 
> So while I applied this one after fixing it up, I'm not going to do any
> further fixups to later patches I also meant to apply. I realize the
> fixups may have been necessary because of me applying them in
> other than the submitted sequence, but then again such general
> imports from ACPICA/Linux should have been independent of
> earlier changes. I.e. either earlier patches in the series wrongly
> touch these headers, or there's a general problem with the series.
> 
I will split this patch set in several parts and the first part would be
the changes and updates of ACPI SPEC 5.0~6.0. So maybe you could apply
them at next version.

Thanks,
-- 
Shannon